#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "daqthread.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_comboBox_DevName_editTextChanged(const QString &arg1);

    void on_pushButton_Output_clicked();

    void on_doubleSpinBox_Duty_valueChanged(double arg1);

    void on_comboBox_FreqScale_currentIndexChanged(int index);

    void on_dial_Freq_valueChanged(int value);

    void on_horizontalSlider_Duty_valueChanged(int value);

    void on_checkBox_ContMode_toggled(bool checked);

    void daqmxbase_ready();
    void daqmxbase_final();
    void daqmxbase_error(QString ErrMsg);
    void pulse_output_started();
    void pulse_output_stopped();

private:
    Ui::MainWindow *ui;

    DAQThread *DaqTh;
    bool flag_output_status;
    QString DevName;
};

#endif // MAINWINDOW_H
